USE ParserImporter;

CREATE TABLE IF NOT EXISTS `users` (
    `id` INT AUTO_INCREMENT PRIMARY KEY,
    `userId` INT NOT NULL,
    `userName` VARCHAR(255) NOT NULL
);

CREATE TABLE IF NOT EXISTS `orders` (
    `id` INT AUTO_INCREMENT PRIMARY KEY,
    `orderId` INT NOT NULL,
    `date` VARCHAR(255) NOT NULL
);

CREATE TABLE IF NOT EXISTS `products` (
    `id` INT AUTO_INCREMENT PRIMARY KEY,
    `prodId` INT NOT NULL,
    `name` VARCHAR(255) NOT NULL
);

CREATE TABLE IF NOT EXISTS `orderItems` (
    `id` INT AUTO_INCREMENT PRIMARY KEY,
    `orderId` INT NOT NULL,
    `prodId` INT NOT NULL,
    `value` FLOAT NOT NULL
);
